Skip to main content
`Ctrl`+`K`

# skbio.tree.TreeNode.tips

TreeNode.tips(include_self=False)

  Iterate over tips descended from self.

  Node order is consistent between calls and is ordered by a postorder traversal of the tree.

  Parameters:
    include_self bool

      include the initial node if True

  Yields:
    TreeNode

      Traversed node.

  See also

  `traverse`
  `postorder`
  `preorder`
  `pre_and_postorder`
  `levelorder`
  `non_tips`

  Examples

      >>> from skbio import TreeNode
      >>> tree = TreeNode.read(["((a,b)c,(d,e)f);"])
      >>> for node in tree.tips():
      ...     print(node.name)
      a
      b
      d
      e